InstrumentTask (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.instrument.javassist
Class InstrumentTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hibernate.tool.instrument.BasicInstrumentationTask
                  org.hibernate.tool.instrument.javassist.InstrumentTask

All Implemented Interfaces:
  Cloneable, Instrumenter.Options

    public class InstrumentTask

extends BasicInstrumentationTask

An Ant task for instrumenting persistent classes in order to enable field-level interception using Javassist.

In order to use this task, typically you would define a a taskdef similiar to:

where `lib.class.path` is an ANT path reference containing all the required Hibernate and Javassist libraries.

And then use it like:

             ...

where the nested ANT fileset includes the class you would like to have instrumented.

Optionally you can chose to enable "Extended Instrumentation" if desired by specifying the extended attriubute on the task:

         ...

See the Hibernate manual regarding this option.

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.tool.instrument.BasicInstrumentationTask
`BasicInstrumentationTask.LoggerBridge`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`InstrumentTask()`

Method Summary
`protected Instrumenter` | `buildInstrumenter(Logger logger, Instrumenter.Options options)`

Methods inherited from class org.hibernate.tool.instrument.BasicInstrumentationTask
`addFileset, execute, filesets, isExtended, isVerbose, performExtendedInstrumentation, setExtended, setVerbose`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstrumentTask

    public InstrumentTask()

Method Detail

### buildInstrumenter

    protected Instrumenter buildInstrumenter(Logger logger,
                                             Instrumenter.Options options)

  Specified by:
    `buildInstrumenter` in class `BasicInstrumentationTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.